@media (max-width: 768px) {
.site-header {
  position: fixed;
  width: 100%;
  height: 3rem;
  background: rgba(255, 255, 255, 0.6);
  display: flex;
  box-shadow: 0 0 4vh rgba(255, 162, 55, 0.7);
  padding: 1vw;
  z-index: 1000; 
}

.header-flex{
  width: 100%;
  display: flex;
  flex-direction: row;
}

.site-title {
  display: flex; 
  width: auto;
  margin: 0 0 0 1vw;
  padding-bottom: 0.3vw;
  font-size: 3.0vw;
  font-family: "Yuji Syuku";
  color: rgb(255, 162, 55);
  text-shadow:
    0 0 0.3vw rgba(255, 255, 255, 1),
    0 0 0.3vw rgba(255, 255, 255, 1),
    0 0 0.3vw rgba(255, 255, 255, 1);
  justify-content: center;
  align-items: center;
  transition: 0.25s ease;
}

.site-title:hover {
  color: #f4fbff;
  text-shadow:
    0 0 0.5vw #66d9ff,
    0 0 1vw #66d9ff,
    0 0 2vw #66d9ff;
}

.header-logo{
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.1vw;
}

.header-logo img {
  height: 5vw;
  width: auto;
}


.header-menu-rapper {
  display: flex;
  flex-direction: row; 
  margin-left: auto;
  margin-right: 1.5vw;
}

.header-menu {
  display: flex;
  width: auto;
  margin: 0 1vw 0.2vw 1vw;
  font-size: 2.3vw;
  font-family: "Yuji Syuku";
  color: rgb(255, 162, 55);
  text-shadow:
    0 0 0.3vw rgba(255, 255, 255, 1),
    0 0 0.3vw rgba(255, 255, 255, 1),
    0 0 0.3vw rgba(255, 255, 255, 1);
  justify-content: center;
  align-items: center;
  transition: 0.25s ease;
}

.header-menu:hover {
  color: #f4fbff;
  text-shadow:
    0 0 0.5vw #66d9ff,
    0 0 1vw #66d9ff,
    0 0 2vw #66d9ff;
  transform: translateY(-0.2vw);
}

}